> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Check payroll config

> Creates a new Check payroll configuration for the given business. If a config with the same `check_company_id` already exists, this is a no-op and returns 200.



## OpenAPI

````yaml put /v1/businesses/{businessId}/payroll/check/configs
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/payroll/check/configs:
    put:
      tags: []
      summary: Create Check payroll config
      description: >-
        Creates a new Check payroll configuration for the given business. If a
        config with the same `check_company_id` already exists, this is a no-op
        and returns 200.
      operationId: business.payroll.check.configs.put
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business.
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json.
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCheckPayrollConfigParams'
      responses:
        '200':
          description: >-
            A config with the given `check_company_id` already exists; no change
            was made.
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCheckPayrollConfig'
        '201':
          description: A new Check payroll config was created.
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCheckPayrollConfig'
      deprecated: false
components:
  schemas:
    CreateCheckPayrollConfigParams:
      type: object
      properties:
        check_company_id:
          type: string
          description: The Check company ID to associate with this business.
      required:
        - check_company_id
    ApiCheckPayrollConfig:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the Check payroll config.
        business_id:
          type: string
          format: uuid
          description: The UUID of the business this config belongs to.
        check_company_id:
          type: string
          description: The Check company ID associated with this config.
      required:
        - id
        - business_id
        - check_company_id
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````